net.minecraft.world.storage

## Class SaveHandler

- java.lang.Object
- - net.minecraft.world.storage.SaveHandler

- All Implemented Interfaces:
    IPlayerFileData, ISaveHandler
  Direct Known Subclasses:
    AnvilSaveHandler

      public class SaveHandler
      extends java.lang.Object
      implements ISaveHandler, IPlayerFileData

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SaveHandler(java.io.File par1File, java.lang.String par2Str, boolean par3)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `checkSessionLock()`
    `void` | `flush()`
    `java.lang.String[]` | `getAvailablePlayerDat()`
    `IChunkLoader` | `getChunkLoader(WorldProvider par1WorldProvider)`
    `java.io.File` | `getMapFileFromName(java.lang.String par1Str)`
    `NBTTagCompound` | `getPlayerData(java.lang.String par1Str)`
    `IPlayerFileData` | `getSaveHandler()`
    `java.io.File` | `getWorldDirectory()`
    `java.lang.String` | `getWorldDirectoryName()`
    `WorldInfo` | `loadWorldInfo()`
    `NBTTagCompound` | `readPlayerData(EntityPlayer par1EntityPlayer)`
    `void` | `saveWorldInfo(WorldInfo par1WorldInfo)`
    `void` | `saveWorldInfoWithPlayer(WorldInfo par1WorldInfo, NBTTagCompound par2NBTTagCompound)`
    `void` | `writePlayerData(EntityPlayer par1EntityPlayer)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SaveHandler

          public SaveHandler(java.io.File par1File,
                     java.lang.String par2Str,
                     boolean par3)

  - ### Method Detail

    - #### getWorldDirectory

          public java.io.File getWorldDirectory()

      Specified by:
        `getWorldDirectory` in interface `ISaveHandler`

    - #### checkSessionLock

          public void checkSessionLock()
                                throws MinecraftException

      Specified by:
        `checkSessionLock` in interface `ISaveHandler`
      Throws:
        `MinecraftException`

    - #### getChunkLoader

          public IChunkLoader getChunkLoader(WorldProvider par1WorldProvider)

      Specified by:
        `getChunkLoader` in interface `ISaveHandler`

    - #### loadWorldInfo

          public WorldInfo loadWorldInfo()

      Specified by:
        `loadWorldInfo` in interface `ISaveHandler`

    - #### saveWorldInfoWithPlayer

          public void saveWorldInfoWithPlayer(WorldInfo par1WorldInfo,
                                     NBTTagCompound par2NBTTagCompound)

      Specified by:
        `saveWorldInfoWithPlayer` in interface `ISaveHandler`

    - #### saveWorldInfo

          public void saveWorldInfo(WorldInfo par1WorldInfo)

      Specified by:
        `saveWorldInfo` in interface `ISaveHandler`

    - #### writePlayerData

          public void writePlayerData(EntityPlayer par1EntityPlayer)

      Specified by:
        `writePlayerData` in interface `IPlayerFileData`

    - #### readPlayerData

          public NBTTagCompound readPlayerData(EntityPlayer par1EntityPlayer)

      Specified by:
        `readPlayerData` in interface `IPlayerFileData`

    - #### getPlayerData

          public NBTTagCompound getPlayerData(java.lang.String par1Str)

    - #### getSaveHandler

          public IPlayerFileData getSaveHandler()

      Specified by:
        `getSaveHandler` in interface `ISaveHandler`

    - #### getAvailablePlayerDat

          public java.lang.String[] getAvailablePlayerDat()

      Specified by:
        `getAvailablePlayerDat` in interface `IPlayerFileData`

    - #### flush

          public void flush()

      Specified by:
        `flush` in interface `ISaveHandler`

    - #### getMapFileFromName

          public java.io.File getMapFileFromName(java.lang.String par1Str)

      Specified by:
        `getMapFileFromName` in interface `ISaveHandler`

    - #### getWorldDirectoryName

          public java.lang.String getWorldDirectoryName()

      Specified by:
        `getWorldDirectoryName` in interface `ISaveHandler`